Scriptname pppDrunkenDragonBuyQuestScript extends Quest  

; Properties
Actor Property PlayerRef  Auto  
Book Property pppDrunkenDragonDeed  Auto  
Faction Property pppDrunkenDragonFaction  Auto  
Faction Property pppDrunkenDragonServicesFaction  Auto 
Key Property pppDrunkenDragonKey Auto
MiscObject Property Gold  Auto  
ReferenceAlias Property pppBurnedHomeRefA  Auto  
ReferenceAlias Property pppEmptyCartRefA Auto
ReferenceAlias Property pppSignPostRefA Auto
ReferenceAlias Property pppSignShingleRefA Auto
ReferenceAlias Property pppFarmHouseRefA Auto
ReferenceAlias Property pppDoorExtRefA  Auto  
ReferenceAlias Property pppMapMarkerRefA Auto


; Functions
Function buyHouse()
	ObjectReference oBurnedHome = pppBurnedHomeRefA.GetReference()
	ObjectReference oCart = pppEmptyCartRefA.GetReference()
	ObjectReference oFarmHouse = pppFarmHouseRefA.GetReference()
	ObjectReference oDoor = pppDoorExtRefA.GetReference()
	ObjectReference oPost = pppSignPostRefA.GetReference()
	ObjectReference oSign = pppSignShingleRefA.GetReference()
	ObjectReference oMap = pppMapMarkerRefA.GetReference()
	oBurnedHome.disable()
	oCart.disable()
	oFarmHouse.enable()
	oDoor.enable()
	oPost.enable()
	oSign.enable()
	oMap.enable()
	oMap.AddToMap(true)
	PlayerRef.AddToFaction(pppDrunkenDragonFaction)
	PlayerRef.AddToFaction(pppDrunkenDragonServicesFaction)	
	PlayerRef.RemoveItem(Gold, 7500)
	PlayerRef.AddItem(pppDrunkenDragonDeed, 1)
	PlayerRef.AddItem(pppDrunkenDragonKey,1)
endFunction